Skip to main content
`Ctrl`+`K`

# MatLMVMGetMultAlgorithm

Get the algorithm used by a `MatLMVM` for products

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMGetMultAlgorithm(Mat B, MatLMVMMultAlgorithm *alg)

Not collective

## Input Parameter

- B - a `MatLMVM` matrix

## Output Parameter

- alg - one of the algorithm classes (`MAT_LMVM_MULT_RECURSIVE`, `MAT_LMVM_MULT_DENSE`, `MAT_LMVM_MULT_COMPACT_DENSE`)

## See Also

Matrices, `MatLMVM`, `MatLMVMMultAlgorithm`, `MatLMVMSetMultAlgorithm()`

## Level

advanced

## Location

src/ksp/ksp/utils/lmvm/lmvmimpl.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages